<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage
    xmi:version="2.0"
    xmlns:xmi="http://www.omg.org/XMI"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore"
    name="extension"
    nsURI="http://osbp.eclipse.org/ecview/v1/extension/view"
    nsPrefix="extension">
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YInput"
      abstract="true"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YField"/>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YGridLayout"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YLayout ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSpacingable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YMarginable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YAlignmentContainer">
    <eOperations
        name="addGridLayoutCellStyle"
        eType="#//YGridLayoutCellStyle">
      <eParameters
          name="element"
          eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable"/>
    </eOperations>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="cellStyles"
        upperBound="-1"
        eType="#//YGridLayoutCellStyle"
        containment="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="columns"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt">
      <eAnnotations
          source="http://www.eclipse.org/emf/2002/GenModel">
        <details
            key="documentation"
            value="The number of columns the GridLayout should contain.&#x9;"/>
      </eAnnotations>
    </eStructuralFeatures>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YGridLayoutCellStyle">
    <eOperations
        name="addSpanInfo"
        eType="#//YSpanInfo">
      <eParameters
          name="col1"
          eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"/>
      <eParameters
          name="row1"
          eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"/>
      <eParameters
          name="col2"
          eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"/>
      <eParameters
          name="row2"
          eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"/>
    </eOperations>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="target"
        lowerBound="1"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="alignment"
        eType="ecore:EEnum ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YAlignment"
        defaultValueLiteral="UNDEFINED">
      <eAnnotations
          source="http://www.eclipse.org/emf/2002/GenModel">
        <details
            key="documentation"
            value="The alignment of the ui element relative to its grid cell."/>
      </eAnnotations>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="spanInfo"
        eType="#//YSpanInfo"
        containment="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YHorizontalLayout"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YLayout ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSpacingable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YMarginable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YAlignmentContainer">
    <eOperations
        name="getCellStyle"
        eType="#//YHorizontalLayoutCellStyle">
      <eParameters
          name="element"
          eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable"/>
    </eOperations>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="cellStyles"
        upperBound="-1"
        eType="#//YHorizontalLayoutCellStyle"
        containment="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YHorizontalLayoutCellStyle">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="target"
        lowerBound="1"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="alignment"
        eType="ecore:EEnum ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YAlignment"
        defaultValueLiteral="UNDEFINED">
      <eAnnotations
          source="http://www.eclipse.org/emf/2002/GenModel">
        <details
            key="documentation"
            value="The alignment of the ui element relative to its grid cell."/>
      </eAnnotations>
    </eStructuralFeatures>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YVerticalLayout"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YLayout ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSpacingable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YMarginable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YAlignmentContainer">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="cellStyles"
        upperBound="-1"
        eType="#//YVerticalLayoutCellStyle"
        containment="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YVerticalLayoutCellStyle">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="target"
        lowerBound="1"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="alignment"
        eType="ecore:EEnum ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YAlignment"
        defaultValueLiteral="UNDEFINED">
      <eAnnotations
          source="http://www.eclipse.org/emf/2002/GenModel">
        <details
            key="documentation"
            value="The alignment of the ui element relative to its grid cell."/>
      </eAnnotations>
    </eStructuralFeatures>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YSpanInfo">
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="columnFrom"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt">
      <eAnnotations
          source="http://www.eclipse.org/emf/2002/GenModel">
        <details
            key="documentation"
            value="The column index of the cell that should contain the Upper-Left-Edge of the element."/>
      </eAnnotations>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="rowFrom"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt">
      <eAnnotations
          source="http://www.eclipse.org/emf/2002/GenModel">
        <details
            key="documentation"
            value="The row index of the cell that should contain the Upper-Left-Edge of the element."/>
      </eAnnotations>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="columnTo"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt">
      <eAnnotations
          source="http://www.eclipse.org/emf/2002/GenModel">
        <details
            key="documentation"
            value="The column index of the cell that should contain the Lower-Right-Edge of the element."/>
      </eAnnotations>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="rowTo"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt">
      <eAnnotations
          source="http://www.eclipse.org/emf/2002/GenModel">
        <details
            key="documentation"
            value="The row index of the cell that should contain the Lower-Right-Edge of the element."/>
      </eAnnotations>
    </eStructuralFeatures>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YTable"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YCollectionBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSelectionBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YMultiSelectionBindable #//YBeanServiceConsumer">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YTableDatatype"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selectionType"
        eType="#//YSelectionType"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selection"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="multiSelection"
        upperBound="-1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="collection"
        upperBound="-1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"
        unsettable="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="emfNsURI"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="columns"
        upperBound="-1"
        eType="#//YColumn"
        containment="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="itemImageProperty"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="filter"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="refresh"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="sortOrder"
        upperBound="-1"
        eType="#//YSortColumn"
        containment="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="doSort"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="scrollToBottom"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="pageLength"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YColumn"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YElement">
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="icon"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="visible"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"
        defaultValueLiteral="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="orphanDatadescriptions"
        upperBound="-1"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"
        containment="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="orderable"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"
        defaultValueLiteral="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="collapsed"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"
        defaultValueLiteral="false"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="collapsible"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"
        defaultValueLiteral="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="alignment"
        eType="ecore:EEnum ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFlatAlignment"
        defaultValueLiteral="LEFT"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="expandRatio"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EFloat"
        defaultValueLiteral="-1.0f"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="propertyPath"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="converter"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YConverter"
        containment="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YSortColumn"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YElement">
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="propertyPath"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="asc"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"
        defaultValueLiteral="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YTree"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YCollectionBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSelectionBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YMultiSelectionBindable #//YBeanServiceConsumer">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YTreeDatatype"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selectionType"
        eType="#//YSelectionType"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selection"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="multiSelection"
        upperBound="-1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="collection"
        upperBound="-1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="emfNsURI"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YOptionsGroup"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YCollectionBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSelectionBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YMultiSelectionBindable #//YBeanServiceConsumer">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YOptionsGroupDataType"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selectionType"
        eType="#//YSelectionType"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selection"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="multiSelection"
        upperBound="-1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="collection"
        upperBound="-1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="emfNsURI"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="captionProperty"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="imageProperty"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="descriptionProperty"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="description"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YList"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YCollectionBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSelectionBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YMultiSelectionBindable #//YBeanServiceConsumer">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YListDataType"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selectionType"
        eType="#//YSelectionType"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selection"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="multiSelection"
        upperBound="-1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="collection"
        upperBound="-1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="emfNsURI"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="captionProperty"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="imageProperty"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="descriptionProperty"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="description"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YLabel"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YField ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YValueBindable">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"
        transient="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YImage"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YField ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YValueBindable">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="resource"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YTextField"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YValueBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFocusNotifier ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YBlurNotifier ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YTextChangeNotifier">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YTextDatatype"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"
        transient="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YBeanReferenceField"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YValueBindable #//YBeanServiceConsumer ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFocusable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YBlurNotifier ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFocusNotifier">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="emfNsURI"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="inMemoryBeanProvider">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="inMemoryBeanProviderQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="captionPropertyPath"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="imagePropertyPath"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="descriptionProperty"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="description"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="referenceSourceType">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="referenceSourceTypeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="referenceSourceTypeProperty"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="required"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="filteringComponent"
        eType="#//YFilteringComponent"
        containment="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="dialogComponent"
        eType="#//YDialogComponent"
        containment="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YTextArea"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YValueBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFocusNotifier ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YBlurNotifier ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YTextChangeNotifier">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YTextAreaDatatype"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="wordWrap"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"
        defaultValueLiteral="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="rows"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"
        defaultValueLiteral="3"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YCheckBox"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YValueBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFocusNotifier ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YBlurNotifier">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YCheckBoxDatatype"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"
        transient="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YBrowser"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YValueBindable">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YBrowserDatatype"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YDateTime"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YValueBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFocusNotifier ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YBlurNotifier">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YDateTimeDatatype"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EDate"
        transient="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YDecimalField"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YValueBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFocusNotifier ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YBlurNotifier">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YDecimalDatatype"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EDouble"
        transient="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YNumericField"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YValueBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFocusNotifier ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YBlurNotifier">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YNumericDatatype"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//ELong"
        transient="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YComboBox"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YCollectionBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSelectionBindable #//YBeanServiceConsumer">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YComboBoxDatatype"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selection"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="collection"
        upperBound="-1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="emfNsURI"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="captionProperty"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="imageProperty"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="descriptionProperty"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="description"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="modelSelectionType">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="modelSelectionTypeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YButton"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YAction ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YVisibleable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEditable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEnable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFocusable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFocusNotifier ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YBlurNotifier">
    <eOperations
        name="addClickListener">
      <eParameters
          name="listener"
          eType="#//YButtonClickListener"/>
    </eOperations>
    <eOperations
        name="removeClickListener">
      <eParameters
          name="listener"
          eType="#//YButtonClickListener"/>
    </eOperations>
    <eOperations
        name="createClickEndpoint"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/binding.ecore#//YECViewModelValueBindingEndpoint"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="clickListeners"
        upperBound="-1"
        eType="#//YButtonClickListener"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="lastClickTime"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//ELong"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="image"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YSlider"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YValueBindable">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EDouble"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="maxValue"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EDouble"
        transient="true"
        defaultValueLiteral="100"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="minValue"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EDouble"
        transient="true"
        defaultValueLiteral="0"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="resolution"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"
        transient="true"
        defaultValueLiteral="10"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="orientation"
        eType="ecore:EEnum ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YOrientation"
        transient="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EDataType"
      name="YButtonClickListener"
      instanceClassName="org.eclipse.osbp.ecview.core.extension.model.extension.listener.YButtonClickListener"/>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YToggleButton"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YAction ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YActivateable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFocusable">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EEnum"
      name="YSelectionType">
    <eLiterals
        name="SINGLE"
        literal=""/>
    <eLiterals
        name="MULTI"
        value="1"
        literal="MULTI"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YProgressBar"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YValueBindable">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YProgressBarDatatype"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EFloat"
        transient="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YTabSheet"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFocusable">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="tabs"
        upperBound="-1"
        eType="#//YTab"
        containment="true"
        eOpposite="#//YTab/parent"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YTab"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YElement ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YCssAble">
    <eOperations
        name="getView"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YView"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="parent"
        lowerBound="1"
        eType="#//YTabSheet"
        eOpposite="#//YTabSheet/tabs"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="embeddable"
        lowerBound="1"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable"
        containment="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="orphanDatadescriptions"
        upperBound="-1"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"
        containment="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YMasterDetail"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YCollectionBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSelectionBindable">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YMasterDetailDatatype"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selection"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="collection"
        upperBound="-1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="emfNsURI"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="masterElement"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable"
        containment="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="detailElement"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable"
        containment="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YFormLayout"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YLayout ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSpacingable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YMarginable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YAlignmentContainer">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="cellStyles"
        upperBound="-1"
        eType="#//YFormLayoutCellStyle"
        containment="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YFormLayoutCellStyle">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="target"
        lowerBound="1"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="alignment"
        eType="ecore:EEnum ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YAlignment"
        defaultValueLiteral="UNDEFINED">
      <eAnnotations
          source="http://www.eclipse.org/emf/2002/GenModel">
        <details
            key="documentation"
            value="The alignment of the ui element relative to its grid cell."/>
      </eAnnotations>
    </eStructuralFeatures>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YSearchField"
      abstract="true"
      interface="true"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YValueBindable"/>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YTextSearchField"
      eSuperTypes="#//YSearchField">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="wildcard"
        eType="#//YSearchWildcards"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="propertyPath"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YBooleanSearchField"
      eSuperTypes="#//YSearchField">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="#//YBooleanSearchOption"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="propertyPath"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YNumericSearchField"
      eSuperTypes="#//YSearchField">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="wildcard"
        eType="#//YSearchWildcards"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="propertyPath"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YReferenceSearchField"
      eSuperTypes="#//YSearchField">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="wildcard"
        eType="#//YSearchWildcards"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="propertyPath"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="emfNsURI"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EEnum"
      name="YBooleanSearchOption">
    <eLiterals
        name="TRUE"
        literal="TRUE"/>
    <eLiterals
        name="FALSE"
        value="1"
        literal="FALSE"/>
    <eLiterals
        name="IGNORE"
        value="2"
        literal="IGNORE"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EEnum"
      name="YSearchWildcards">
    <eLiterals
        name="GT"
        literal="GT"/>
    <eLiterals
        name="GE"
        value="1"
        literal="GE"/>
    <eLiterals
        name="LT"
        value="2"
        literal="LT"/>
    <eLiterals
        name="LE"
        value="3"
        literal="LE"/>
    <eLiterals
        name="EQ"
        value="4"
        literal="EQ"/>
    <eLiterals
        name="NE"
        value="5"
        literal="NE"/>
    <eLiterals
        name="ANY"
        value="6"
        literal="ANY"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YPanel"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YLayout ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFocusable">
    <eOperations
        name="getCellStyle"
        eType="#//YHorizontalLayoutCellStyle">
      <eParameters
          name="element"
          eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable"/>
    </eOperations>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="firstContent"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="secondContent"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YSplitPanel"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YLayout">
    <eOperations
        name="getCellStyle"
        eType="#//YHorizontalLayoutCellStyle">
      <eParameters
          name="element"
          eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable"/>
    </eOperations>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="cellStyles"
        upperBound="-1"
        eType="#//YHorizontalLayoutCellStyle"
        containment="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="fillHorizontal"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"
        defaultValueLiteral="true">
      <eAnnotations
          source="http://www.eclipse.org/emf/2002/GenModel">
        <details
            key="documentation"
            value="If false, then the width of all elements contained in the grid layout will be decreased to their preferred width or their miminum width. If no alignment is defined for a child, this setting will become its default.&#xA;Eg if child has not a alignment, the horizontal alignment will become FILL if fillHorizontal is true. Otherwise the ui-kit default will be used as the horizontal alignment."/>
      </eAnnotations>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="splitPosition"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"
        defaultValueLiteral="50"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="vertical"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"
        defaultValueLiteral="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YSearchPanel"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YLayout ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSpacingable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YMarginable">
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="emfNsURI"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="applyFilter"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="filter"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YEnumOptionsGroup"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YCollectionBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSelectionBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YMultiSelectionBindable">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YOptionsGroupDataType"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selectionType"
        eType="#//YSelectionType"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selection"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="multiSelection"
        upperBound="-1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="emfNsURI"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YEnumComboBox"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YCollectionBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSelectionBindable">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YComboBoxDatatype"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selection"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="emfNsURI"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="defaultLiteral"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YEnumList"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YCollectionBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSelectionBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YMultiSelectionBindable">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YListDataType"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selectionType"
        eType="#//YSelectionType"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selection"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="multiSelection"
        upperBound="-1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="emfNsURI"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YBeanServiceConsumer"
      abstract="true"
      interface="true">
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="useBeanService"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YAddToTableCommand"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YCommand">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="table"
        eType="#//YTable"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="trigger"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YRemoveFromTableCommand"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YCommand">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="table"
        eType="#//YTable"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="trigger"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YBrowserStreamInput">
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="filename"
        lowerBound="1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="inputStream"
        lowerBound="1"
        eType="#//YInputStream"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="mimeType"
        lowerBound="1"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"
        transient="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EDataType"
      name="YInputStream"
      instanceClassName="java.io.InputStream"/>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YSetNewBeanInstanceCommand"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YCommand">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="target"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/binding.ecore#//YValueBindingEndpoint"
        containment="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="trigger"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="emfNsURI"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YCssLayout"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YLayout ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSpacingable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YMarginable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YAlignmentContainer">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="cellStyles"
        upperBound="-1"
        eType="#//YCssLayoutCellStyle"
        containment="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YCssLayoutCellStyle">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="target"
        lowerBound="1"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="alignment"
        eType="ecore:EEnum ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YAlignment"
        defaultValueLiteral="UNDEFINED">
      <eAnnotations
          source="http://www.eclipse.org/emf/2002/GenModel">
        <details
            key="documentation"
            value="The alignment of the ui element relative to its css layout cell."/>
      </eAnnotations>
    </eStructuralFeatures>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YFilter"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YElement">
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="propertyPath"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="filterValue"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YAbsoluteLayout"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YLayout">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="cellStyles"
        upperBound="-1"
        eType="#//YAbsoluteLayoutCellStyle"
        containment="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="childResizeEnabled"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="childMoveEnabled"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YAbsoluteLayoutCellStyle">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="target"
        lowerBound="1"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="top"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"
        defaultValueLiteral="-1"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="bottom"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"
        defaultValueLiteral="-1"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="left"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"
        defaultValueLiteral="-1"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="right"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"
        defaultValueLiteral="-1"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="zIndex"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"
        defaultValueLiteral="-1"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YSuggestTextField"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YValueBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFocusable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFocusNotifier ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YBlurNotifier ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSelectionBindable">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datatype"
        eType="ecore:EClass extdatatypes.ecore#//YTextDatatype"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="keys"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="useSuggestions"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="autoHidePopup"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="lastSuggestion"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="emfNsURI"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="event"
        eType="#//YSuggestTextFieldEvents"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="itemCaptionProperty"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="itemFilterProperty"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="itemUUIDProperty"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="currentValueDTO"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EEnum"
      name="YSuggestTextFieldEvents">
    <eLiterals
        name="OPEN_POPUP"
        literal="OPEN_POPUP"/>
    <eLiterals
        name="CLOSE_POPUP"
        value="1"
        literal="CLOSE_POPUP"/>
    <eLiterals
        name="NAVIGATE_NEXT"
        value="2"
        literal="NAVIGATE_NEXT"/>
    <eLiterals
        name="NAVIGATE_PREV"
        value="3"
        literal="NAVIGATE_PREV"/>
    <eLiterals
        name="SELECT"
        value="4"
        literal="SELECT"/>
    <eLiterals
        name="CLEAR"
        value="5"
        literal="CLEAR"/>
    <eLiterals
        name="SELECTED"
        value="6"
        literal="SELECTED"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YPasswordField"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YValueBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YFocusNotifier ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YBlurNotifier ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YTextChangeNotifier">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="value"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"
        transient="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YFilteringComponent"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YEmbeddable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSpacingable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YMarginable">
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="emfNsURI"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="applyFilter"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="resetFilter"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="filter"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="filterDescriptors"
        upperBound="-1"
        eType="#//YFilterDescriptor"
        containment="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="tableDescriptors"
        upperBound="-1"
        eType="#//YFilterTableDescriptor"
        containment="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selectionBeanSlotName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"
        defaultValueLiteral="$$intern_searchDialogSelection"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="filterCols"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EInt"
        defaultValueLiteral="2"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="hideGrid"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EBoolean"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YFilterDescriptor"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YElement ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YCssAble">
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="propertyPath"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type"
        eType="#//YFilteringType"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EEnum"
      name="YFilteringType">
    <eLiterals
        name="COMPARE"
        literal="COMPARE"/>
    <eLiterals
        name="RANGE"
        value="1"
        literal="RANGE"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YFilterTableDescriptor"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YElement ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YCssAble">
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="propertyPath"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YKanban"
      eSuperTypes="#//YInput ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YSelectionBindable #//YBeanServiceConsumer">
    <eStructuralFeatures
        xsi:type="ecore:EReference"
        name="datadescription"
        eType="ecore:EClass ../../org.eclipse.osbp.ecview.core.common.model/model/datatypes.ecore#//YDatadescription"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selectionType"
        eType="#//YSelectionType"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="selection"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="emfNsURI"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="typeQualifiedName"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="cardECViewId"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="editDialogId"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="doubleClicked"
        eType="#//YKanbanEvent"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="stateChanged"
        eType="#//YKanbanEvent"
        transient="true"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="toRefresh"
        eType="#//YKanbanEvent"
        transient="true"/>
  </eClassifiers>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YKanbanVisibilityProcessor"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/visibility.ecore#//YVisibilityProcessor"/>
  <eClassifiers
      xsi:type="ecore:EDataType"
      name="YKanbanEvent"
      instanceClassName="org.eclipse.osbp.ecview.core.extension.model.extension.YKanbanEvent"/>
  <eClassifiers
      xsi:type="ecore:EClass"
      name="YDialogComponent"
      eSuperTypes="../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YElement ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YValueBindable ../../org.eclipse.osbp.ecview.core.common.model/model/core.ecore#//YCssAble">
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="viewContextCallback"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"/>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="type">
      <eGenericType
          eClassifier="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaClass">
        <eTypeArguments/>
      </eGenericType>
    </eStructuralFeatures>
    <eStructuralFeatures
        xsi:type="ecore:EAttribute"
        name="updateCallback"
        eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EJavaObject"/>
  </eClassifiers>
</ecore:EPackage>
